{
  "$schema": "./node_modules/@angular/cli/lib/config/schema.json",
  "version": 1,
  "newProjectRoot": "projects",
  "projects": {
    "staffdb": {
      "root": "",
      "sourceRoot": "src",
      "projectType": "application",
      "prefix": "app",
      "schematics": {
        "@schematics/angular:component": {
          "style": "scss"
        }
      },
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-angular:browser",
          "options": {
            "aot": true,
            "outputPath": "dist",
            "index": "src/index.html",
            "main": "src/main.ts",
            "polyfills": "src/polyfills.ts",
            "tsConfig": "src/tsconfig.app.json",
            "assets": [
              "src/assets",
              {
                "glob": "**/*",
                "ignore": [
                  "styles/*"
                ],
                "input": "src/app/shared/core/assets/",
                "output": "/assets/"
              },
              {
                "glob": "dhr-icon-152x152i.png",
                "input": "src/assets/icons/develop/",
                "output": "/assets/icons/"
              },
              "src/webmanifest.json",
              {
                "glob": "environment.js",
                "input": "src/environments/",
                "output": "/assets/js/"
              },
              {
                "glob": "package.json",
                "input": "./",
                "output": "./assets/json"
              }
            ],
            "styles": [
              "src/styles.scss",
              "node_modules/ngx-spinner/animations/ball-clip-rotate.css"
            ],
            "stylePreprocessorOptions": {
              "includePaths": [
                "src/app/shared/core/css/0-base/",
                "src/app/shared/core/components/popup-base"
              ]
            },
            "scripts": [],
            "serviceWorker": true,
            "ngswConfigPath": "ngsw-config.json"
          },
          "configurations": {
            "default": {
              "progress": true,
              "optimization": false,
              "outputHashing": "all",
              "sourceMap": true,
              "namedChunks": true,
              "aot": true,
              "extractLicenses": false,
              "vendorChunk": true,
              "buildOptimizer": false,
              "budgets": [
                {
                  "type": "initial",
                  "maximumWarning": "30mb",
                  "maximumError": "70mb"
                }
              ]
            },
            "develop": {
              "assets": [
                "src/assets",
                {
                  "glob": "**/*",
                  "ignore": [
                    "styles/*"
                  ],
                  "input": "src/app/shared/core/assets/",
                  "output": "/assets/"
                },
                {
                  "glob": "dhr-icon-152x152i.png",
                  "input": "src/assets/icons/develop/",
                  "output": "/assets/icons/"
                },
                {
                  "glob": "webmanifest.json",
                  "input": "src/manifest/develop/",
                  "output": "/"
                },
                {
                  "glob": "environment.js",
                  "input": "src/environments/develop/",
                  "output": "/assets/js/"
                },
                {
                  "glob": "package.json",
                  "input": "./",
                  "output": "./assets/json"
                }
              ],
              "progress": true,
              "optimization": false,
              "outputHashing": "all",
              "sourceMap": true,
              "namedChunks": true,
              "aot": true,
              "extractLicenses": true,
              "vendorChunk": false,
              "buildOptimizer": false,
              "budgets": [
                {
                  "type": "initial",
                  "maximumWarning": "30mb",
                  "maximumError": "70mb"
                }
              ]
            },
            "production": {
              "assets": [
                "src/assets",
                {
                  "glob": "**/*",
                  "ignore": [
                    "styles/*"
                  ],
                  "input": "src/app/shared/core/assets/",
                  "output": "/assets/"
                },
                {
                  "glob": "dhr-icon-152x152i.png",
                  "input": "src/assets/icons/production/",
                  "output": "/assets/icons/"
                },
                {
                  "glob": "webmanifest.json",
                  "input": "src/manifest/production/",
                  "output": "/"
                },
                {
                  "glob": "environment.js",
                  "input": "src/environments/production/",
                  "output": "/assets/js/"
                },
                {
                  "glob": "package.json",
                  "input": "./",
                  "output": "./assets/json"
                }
              ],
              "optimization": true,
              "outputHashing": "all",
              "sourceMap": false,
              "namedChunks": false,
              "aot": true,
              "extractLicenses": true,
              "vendorChunk": false,
              "buildOptimizer": true,
              "budgets": [
                {
                  "type": "initial",
                  "maximumWarning": "30mb",
                  "maximumError": "50mb"
                },
                {
                  "type": "anyComponentStyle",
                  "maximumWarning": "10kb"
                }
              ]
            }
          }
        },
        "serve": {
          "builder": "@angular-devkit/build-angular:dev-server",
          "options": {
            "liveReload": false,
            "port": 4204,
            "buildTarget": "staffdb:build",
            "proxyConfig": "proxy.conf.json"
          },
          "configurations": {
            "production": {
              "buildTarget": "staffdb:build:production"
            },
            "develop": {
              "buildTarget": "staffdb:build:develop"
            },
            "default": {
              "buildTarget": "staffdb:build:default"
            }
          },
          "defaultConfiguration": "default"
        },
        "extract-i18n": {
          "builder": "@angular-devkit/build-angular:extract-i18n",
          "options": {
            "buildTarget": "staffdb:build"
          }
        },
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "main": "src/test.ts",
            "polyfills": "src/polyfills.ts",
            "tsConfig": "src/tsconfig.spec.json",
            "karmaConfig": "src/karma.conf.js",
            "styles": [
              "src/styles.scss",
              "node_modules/ngx-spinner/animations/ball-clip-rotate.css"
            ],
            "scripts": [],
            "assets": [
              "src/assets",
              {
                "glob": "translate-core/*",
                "input": "src/app/shared/core/assets/",
                "output": "/assets/"
              },
              {
                "glob": "dhr-icon-152x152i.png",
                "input": "src/assets/icons/develop/",
                "output": "/assets/icons/"
              },
              "src/webmanifest.json",
              {
                "glob": "environment.js",
                "input": "src/environments/",
                "output": "/assets/js/"
              },
              {
                "glob": "package.json",
                "input": "./",
                "output": "./assets/json"
              }
            ]
          }
        },
        "lint": {
          "builder": "@angular-devkit/build-angular:tslint",
          "options": {
            "tsConfig": [
              "src/tsconfig.app.json",
              "src/tsconfig.spec.json"
            ],
            "exclude": [
              "**/node_modules/**"
            ]
          }
        }
      }
    },
    "staffdb-e2e": {
      "root": "e2e/",
      "projectType": "application",
      "prefix": "",
      "architect": {
        "e2e": {
          "builder": "@angular-devkit/build-angular:protractor",
          "options": {
            "protractorConfig": "e2e/protractor.conf.js",
            "devServerTarget": "staffdb:serve"
          },
          "configurations": {
            "production": {
              "devServerTarget": "staffdb:serve:production"
            }
          }
        },
        "lint": {
          "builder": "@angular-devkit/build-angular:tslint",
          "options": {
            "tsConfig": "e2e/tsconfig.e2e.json",
            "exclude": [
              "**/node_modules/**"
            ]
          }
        }
      }
    }
  },
  "cli": {
    "analytics": false,
    "cache": {
      "enabled": false
    }
  }
}
